Summary: An X Window System analog clock.
Name: EmiClock
Version: 1.0.4
Release: 4
Copyright: distributable
Group: Amusements/Games
Source0: ftp://ftp.cdrom.com/pub/FreeBSD/distfiles/emiclock-1.0.4.tar.gz
Source1: emiclock.wmconfig
Patch: emiclock-1.0.4-sound.patch
BuildRoot: /var/tmp/emi-root

%description
EmiClock is an analog clock for X.  EmiClock displays a Japanese girl
on the clock face whose costume will change automatically every hour.
EmiClock can be used for an alarm clock and/or to sound chimes at set
times.

%prep
%setup -q -n emiclock-1.0.4
%patch -p1 -b .tim

%build
xmkmf
make depend
make all

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig/
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin/
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/{app-defaults,EmiClock}
mkdir -p $RPM_BUILD_ROOT/usr/man/man1

install -m 755 -s emiclock $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 644 sounds/myu.au $RPM_BUILD_ROOT/usr/X11R6/lib/X11/EmiClock/
install -m 644 $RPM_SOURCE_DIR/emiclock.wmconfig \
	$RPM_BUILD_ROOT/etc/X11/wmconfig/emiclock

cp emiclock.man $RPM_BUILD_ROOT/usr/man/man1/

cp resources/Xaw/EmiClock.ad EmiClock
cp EmiClock $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/

%post
wmconfig --output fvwm2 >> /dev/null 2> /dev/null

%postun
wmconfig --output fvwm2 >> /dev/null 2> /dev/null

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc 00.README COPYRIGHT COPYRIGHT.en ChangeLog INSTALL.ja README.ja
%doc doc 
%dir /usr/X11R6/lib/X11/EmiClock
/usr/X11R6/bin/emiclock
/usr/X11R6//lib/X11/EmiClock/myu.au
/usr/X11R6/lib/X11/app-defaults/EmiClock
/usr/man/man1/emiclock.man
/etc/X11/wmconfig/emiclock

%changelog
* Tue Dec 21 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.2

* Sun Aug 15 1999 Dale Lovelace <dale@redhat.com>
- added emiclock.wmconfig

* Fri Jul 30 1999 Tim Powers <timp@redhat.com>
- updated to 1.0.4
- updated docs to be included
- built for 6.1

* Sat Apr 10 1999 Michael Maher <mike@redhat.com>
- built package
